# Contributing to SpringQL-client-c

Welcome, and thank you for your interest in contributing to SpringQL-client-c!

There are many ways in which you can contribute, beyond writing code. The goal of this document is to provide a high-level overview of how you can get involved.

## Asking Questions

Have a question? Rather than opening an issue, use [Discussions](https://github.com/SpringQL/SpringQL-client-c/discussions) and open a post.

## Providing Feedback

Use [Discussions](https://github.com/SpringQL/SpringQL-client-c/discussions) as well. Your comments and feedback are welcome.

## Reporting Issues

Have you identified a reproducible problem in SpringQL? Have a feature request? We want to hear about it! Here's how you can report your issue as effectively as possible.

### Look For an Existing Issue

Before you create a new issue, please do a search in [open issues](https://github.com/SpringQL/SpringQL-client-c/issues) to see if the issue or feature request has already been filed.

### Writing Good Bug Reports and Feature Requests

File a single issue per problem and feature request. Do not enumerate multiple bugs or feature requests in the same issue.

Do not add your issue as a comment to an existing issue unless it's for the identical input. Many issues look similar but have different causes.

The more information you can provide, the more likely someone will be successful at reproducing the issue and finding a fix.

Please use the issue template from GitHub web.

## Creating Pull Requests

Any fixes or features' addition/removal should be submitted via pull-requests.

Ideally, each pull-request is linked to a single issue.

Before we can accept a pull request from you, you'll need to sign a Contributor License Agreement (CLA). It is an automated process and you only need to do it once.

# Thank You!

Your contributions to open source, large or small, make great projects like this possible. Thank you for taking the time to contribute.
